using System;

namespace takmicenje_2._zadatak
{
    class Program
    {
        struct frilenser
        {
            public int a;
            public double p;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            frilenser[] a = new frilenser[n];
            for(int i=0; i<n; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                a[i].a = int.Parse(s[0]);
                a[i].p = double.Parse(s[1]);
            }
            double suma = 0;
            double max=-1;
            for (int i = 0; i < n; i++) suma += a[i].a;
            Array.Sort<frilenser>(a, (x, y) => x.p.CompareTo(y.p));
            for(int i=0; i<n; i++)
            {
                double x = suma * a[i].p/ 100;
                if (max < x) max = x;
                suma -= a[i].a;
            }
            Console.WriteLine(max);
        }
    }
}